package com.enterprise.manage.modules.system.domain.po;

import com.enterprise.manage.common.base.BaseDomain;
import com.enterprise.manage.common.constant.emuns.StatusType;

/**
 * system dictionary item table
 *
 * @author PeiZhi Guo
 * 2021-05-13 14:50
 */
public class DictItem extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    private String  type;   // 字典类型

    private String  label;  // 字典标签

    private Integer value;  // 字典值

    private Integer sort;   // 字典排序

    private Integer enable; // 字典状态 0:禁用  1:启用


    public DictItem() {
    }

    public DictItem(Long id) {
        this.id = id;
    }

    @Override
    public void insertConfigure() {
        this.enable = StatusType.ENABLE.ordinal();
        super.insertConfigure();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }
}
